# YAJSW configuration properties.
# Documentation: http://yajsw.sourceforge.net/YAJSW%20Configuration%20Parameters.html

# WARNING - Do not modify any of the properties when an application
#  using this configuration file has been installed as a service or daemon.
#  Please uninstall the service before modifying this file.  The
#  service must then be reinstalled.

# This is configuration file used to run YAJSW in Windows OS

wrapper.working.dir=${xl_satellite_home}
wrapper.tmp.path = ${jna_tmpdir}
wrapper.startup.timeout=60

wrapper.console.title=XL Satellite Server
wrapper.console.loglevel=FATAL

wrapper.logfile=${xl_satellite_home}/log/wrapper.log
wrapper.logfile.maxsize=10m
wrapper.logfile.maxfiles=10

wrapper.ntservice.name=xl-satellite
wrapper.ntservice.displayname=XL Satellite Server
wrapper.ntservice.description=Automatically deploy your applications to any environment without scripts or agents
wrapper.ntservice.additional.1=-Xmx20m
wrapper.ntservice.additional.2=-server
wrapper.ntservice.dependency.1=LanmanServer

wrapper.java.app.mainclass= com.xebialabs.satellite.SatelliteBootstrapper
wrapper.java.command=${java_exe}

wrapper.on_exit.242=RESTART

# The following values should not contain trailing and leading whitespaces
wrapper.java.classpath.1=conf
wrapper.java.classpath.2=hotfix/lib/*
wrapper.java.classpath.3=hotfix/satellite-lib/*
wrapper.java.classpath.4=lib/*

wrapper.java.additional.1=-Xmx1024m
wrapper.java.additional.3=-Dlogback.configurationFile=conf/logback.xml
wrapper.java.additional.4=-Dderby.stream.error.file=log/derby.log